Subject: Re: TCP/IP Terms

From: Bob Braden <[email-masked]>
Date: Sat, 28 Sep 2002 09:43:34 -0700 (PDT)

*> From [email-masked]  Fri Sep 27 17:29:10 2002
  *> X-Authentication-Warning: ietf.org: majordom set sender to [email-masked] using -f
  *> From: "Bill Cunningham" <[email-masked]>
  *> To: <[email-masked]>
  *> Cc: <[email-masked]>
  *> Subject: TCP/IP Terms
  *> Date: Fri, 27 Sep 2002 19:49:32 -0400
  *> MIME-Version: 1.0
  *> Content-Transfer-Encoding: 7bit
  *> X-Priority: 3
  *> X-MSMail-Priority: Normal
  *> X-MimeOLE: Produced By Microsoft MimeOLE V5.50.4807.1700
  *> Content-Transfer-Encoding: 7bit
  *> Content-Transfer-Encoding: 7bit
  *> X-Loop: [email-masked]
  *> X-AntiVirus: scanned by AMaViS 0.2.1
  *> 
  *> Vint,
  *>     Some of us at IETF are thinking about a draft to clear up some
  *> terminology about the different layers of TCP/IP.
  *> Whether it be packet, datagram, segement (more clearly defined) or whatever
  *> the case. Do you have any opinions on this?
  *> 

Fourteen years ago, a significant segment of the IETF technical
community wrote RFCs 1122 and 1123; section 1.3.3 of RFC 1122 contains
definitions of these terms.  These RFCs were written with much thought
and care, with input from 50 people as well as from Jon Postel who was
responsible for some of the terminology.

[Why] do we have to do this all over again?

Bob Braden

---

From: Dave Crocker <[email-masked]>
Date: Sat, 28 Sep 2002 10:37:33 -0700

>[Why] do we have to do this all over again?

Bob, perhaps the right model is to start with that text and break it out to 
a separate document, for independent treatment and citation.  (The 
precedent is ABNF.)

There are two justifications for doing this.

         One is that 14 years is long enough to warrant a community review 
and refinement of the definitions.

         The other is that the current round of discussion suggests that 
there is community interest for consensus on the terms, independent of a 
particular set of protocols.  The current context of the terms is tied to 
the TCP/IP suite, rather than claiming to be generic to all data networking.

d/

----------
Dave Crocker <mailto:[email-masked]>
TribalWise, Inc. <http://www.tribalwise.com>
tel +1.408.246.8253; fax +1.408.850.1850

---

From: [email-masked]
Date: Sat, 28 Sep 2002 18:15:20 -0400

> the TCP/IP suite, rather than claiming to be generic to all data networking.

That's a feature, not a bug.

We're the *INTERNET* Engineering Task Force.  The few places where traffic
is being carried in non-IP networks (for instance, the uglyness involved
in connecting the serial port of this laptop connected to the port of the
terminal server over a 56K modem, or carrying IP over an ATM cloud), we
write an encapsulation and get on with our lives.

We have definitions for things like "packet" that work for *our* purposes.
I fear that if we try to devise a definition of "packet" that makes
sense for *all* data networking (I suspect ATM cells will be fun in this
context), we will end up with something so fuzzy that the only use for it
will be to make a cashmere sweater....

-- 
				Valdis Kletnieks
				Computer Systems Senior Engineer
				Virginia Tech

---

From: Dave Crocker <[email-masked]>
Date: Sat, 28 Sep 2002 16:18:51 -0700

>We're the *INTERNET* Engineering Task Force.  The few places where traffic

ABNF has larger application.  There is nothing about it that is specific to 
the TCP/IP suite.

The same potential exists for an effort to produce an independent volume of 
formal definitions.

d/

----------